* {
  padding: 0;
  border: 0;
  box-sizing: border-box;
  font-family: "Jersey 15", serif;
  font-style: normal;
}

body {
  background-color: rgb(0, 0, 0);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-image: url(./imgs/background.jpg);

  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100vh;
  margin: 0;
}
body::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.1); /* 黑色透明叠层 */
  z-index: -1; /* 放置在内容后面 */
}

#canvas {
  border: 3px solid pink;
  position: absolute;
  top: 55%;
  left: 50%;
  transform: translate(-50%, -50%);
  filter: none;
  animation: neon-border 2s infinite linear;
}

#score {
  margin-top: 3rem;
}

#score,
#highScore {
  color: white;
  font-size: 2.0rem;
  padding: 10px;
}

#start {
  padding: 0.25rem 0.5rem;
  background-color: yellow;
  font-size: 1.5rem;
  display: block;
  margin-top: 15px;
}

#option {
  position: absolute;
  top: 80%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  padding: 2rem;
}

#speed,
#wrap {
  display: inline-block;
  margin: 1rem;
  font-size: 1.5rem;
}

@keyframes neon-border {
  0% {
    border-color: pink;
    box-shadow: 0 0 2px pink, 0 0 5px pink, 0 0 10px pink;
  }
  25% {
    border-color: blue;
    box-shadow: 0 0 2px blue, 0 0 5px blue, 0 0 10px blue;
  }
  50% {
    border-color: green;
    box-shadow: 0 0 2px green, 0 0 5px green, 0 0 10px green;
  }
  75% {
    border-color: orange;
    box-shadow: 0 0 2px orange, 0 0 5px orange, 0 0 10px orange;
  }
  100% {
    border-color: pink;
    box-shadow: 0 0 2px pink, 0 0 5px pink, 0 0 10px pink;
  }
}
